regina::MaxAdmissible Class Reference
Vertex Enumeration

Used to enumerate all maximal admissible faces of a polyhedral cone under a given set of admissibility constraints. More...

`#include <enumerate/maxadmissible.h>`

## Static Public Member Functions

template<class BitmaskType , class RayIterator >
static std::vector< BitmaskType > * | enumerate (RayIterator beginExtremalRays, RayIterator endExtremalRays, const EnumConstraints *constraints)
| Enumerates all maximal admissible faces of the given polyhedral cone. More...

## Detailed Description

Used to enumerate all maximal admissible faces of a polyhedral cone under a given set of admissibility constraints.

See the routine enumerate() for details.

All routines of interest within this class are static; no object of this class should ever be created.

Python:\n Not present.

The documentation for this class was generated from the following file:

- enumerate/maxadmissible.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).